---
title: User Interfaces
parent: Concepts
nav_order: 1
---

# User Interfaces

Welcome to the documentation for Naruno.
This documentation covers the functionality of the project's Command Line Interface (CLI), Application Programming Interface (API), and Graphical User Interface (GUI).

At first you should download naruno as package with:
```console
pip install naruno
```
or you can install from your source directory and in root folder with:
```console
pip install .
```
## Command Line Interface (CLI):

The CLI allows users to interact with the project using a command-line interface.
It can be used to perform various tasks, such as installing and configuring the project, running scripts, and managing resources

After our cli system can be run with 
```console
dncli
```

## Application Programming Interface (API):

The API allows developers to access the functionality of the project in a programmatic way.
It can be used to build custom integrations, automate tasks, and access data stored in the project. Api frequently used in the integration of other applications.

Firstly you should download our api system
```console
pip install naruno-api
```
After our cli system can be run with just typing 
```console
dnapi
```


## Graphical User Interface (GUI):

The GUI is a graphical interface that allows users to interact with the project in a more user-friendly way.
It provides a visual representation of the project's functionality, making it easier for users to perform tasks and access resources.
Firstly you should download our gui system
```console
pip install naruno-gui
```
After our gui system can be run with just typing
```console
dngui
```

